import Head from 'next/head'

import { CallToAction } from '@/components/CallToAction'
import { Faqs } from '@/components/Faqs'
import { Footer } from '@/components/Footer'
import { Header } from '@/components/Header'
import { Hero } from '@/components/Hero'
import { Pricing } from '@/components/Pricing'
import { PrimaryFeatures } from '@/components/PrimaryFeatures'
import { Reviews } from '@/components/Reviews'
import { SecondaryFeatures } from '@/components/SecondaryFeatures'
import favicon from '@/images/favicon.png'

export default function Home() {
  return (
    <>
      <Head>
        <title>Akkoma - Magically Expressive Social Media</title>
        <meta
          name="description"
          content="Join an Akkoma instance today to start expressing yourself alongside a community of like-minded people."
        />
	    <meta content="website" property="og:type"/>
	    <meta content="summary" property="twitter:card"/>
    	<meta content={favicon.src} property="og:image"/>
	    <meta content="724" property="og:image:width"/>
    	<meta content="724" property="og:image:height"/>
      </Head>
      <Header />
      <main>
        <Hero />
        <PrimaryFeatures />
        <SecondaryFeatures />
        <CallToAction />
        <Faqs />
      </main>
      <Footer />
    </>
  )
}
